package com.phm.manage.service.impl;

import com.phm.manage.domain.LifePartConfig;
import com.phm.manage.mapper.LifePartConfigMapper;
import com.phm.manage.service.ILifePartConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 寿命件配置库信息Service业务层处理
 *
 * @author phm
 * @date 2023-08-23
 */
@Service
public class LifePartConfigServiceImpl implements ILifePartConfigService {
    @Autowired
    private LifePartConfigMapper lifePartConfigMapper;

    /**
     * 查询寿命件配置库信息
     *
     * @param id 寿命件配置库信息主键
     * @return 寿命件配置库信息
     */
    @Override
    public LifePartConfig selectLifePartConfigById(Long id) {
        return lifePartConfigMapper.selectLifePartConfigById(id);
    }

    /**
     * 查询寿命件配置库信息列表
     *
     * @param lifePartConfig 寿命件配置库信息
     * @return 寿命件配置库信息
     */
    @Override
    public List<LifePartConfig> selectLifePartConfigList(LifePartConfig lifePartConfig) {
        return lifePartConfigMapper.selectLifePartConfigList(lifePartConfig);
    }

    /**
     * 新增寿命件配置库信息
     *
     * @param lifePartConfig 寿命件配置库信息
     * @return 结果
     */
    @Override
    public int insertLifePartConfig(LifePartConfig lifePartConfig) {
        return lifePartConfigMapper.insertLifePartConfig(lifePartConfig);
    }

    /**
     * 修改寿命件配置库信息
     *
     * @param lifePartConfig 寿命件配置库信息
     * @return 结果
     */
    @Override
    public int updateLifePartConfig(LifePartConfig lifePartConfig) {
        return lifePartConfigMapper.updateLifePartConfig(lifePartConfig);
    }

    /**
     * 批量删除寿命件配置库信息
     *
     * @param ids 需要删除的寿命件配置库信息主键
     * @return 结果
     */
    @Override
    public int deleteLifePartConfigByIds(Long[] ids) {
        return lifePartConfigMapper.deleteLifePartConfigByIds(ids);
    }

    /**
     * 删除寿命件配置库信息信息
     *
     * @param id 寿命件配置库信息主键
     * @return 结果
     */
    @Override
    public int deleteLifePartConfigById(Long id) {
        return lifePartConfigMapper.deleteLifePartConfigById(id);
    }
}
